﻿using System;
using System.Web.Mvc;
using Microsoft.WindowsAzure.ServiceRuntime;
using Microsoft.WindowsAzure;

namespace ProductionOrStagingRole.Controllers
{
    public class HomeController : Controller
    {
        //
        // GET: /Home/
        public ActionResult Index()
        {
            try
            {
                var subscriptionId =
                    CloudConfigurationManager.GetSetting("SubscriptionId");
                var cloudServiceName =
                    CloudConfigurationManager.GetSetting("CloudServiceName");
                var mgmtCertThumbprint =
                    CloudConfigurationManager.GetSetting("MgmtCertThumbprint");

                if (RoleEnvironment.IsEmulated)
                    ViewBag.EnvironmentType = "Development";
                else
                    ViewBag.EnvironmentType = ServiceManagement.GetDeploymentSlot(
                        subscriptionId,
                        cloudServiceName,
                        mgmtCertThumbprint);
            }
            catch (Exception ex)
            {
                ViewBag.ErrorMessage = ex.Message;
            }

            return View();
        }
	}
}